<template>
  <div>
    <section class="sect-header">
        <div>
            <button @click="$router.go(-1)" class="button-return ">⟵ Volver</button>
            <h1>bandeja de <span class="color-prime">entrada</span></h1>
        </div>
        <div v-for="doctor in doctores.data" :key="doctor.id">
            <ul>
                <li>
                    <hr class="head-hr">
                    <h3>Consulta:</h3><br/>
                    <p class="slogan">{{ doctor.message.subject }}</p>
                </li>
                <li class="padding-top125">
                    <p>{{ doctor.message.message}}</p>
                </li>
            </ul>
                <!-- REPLY -->
                <div  class="colorbackground-reply rating"  id="like">
                    <div>
                    <ul>
                        <li>
                            <h3 class="color-prime-doctor">Respuesta:</h3>
                        </li>
                        <li class="container-data-reception">
                            <div>
                                respuesta recibida el día <span class="color-prime-doctor">{{getHumanDate (doctor.message.date_send_message)}}</span>, enviada por <span class="color-prime-doctor">{{ doctor.from_message }}{{doctor.reply.to_message}}</span> 
                            </div>
                        </li>
                        <li class="padding-top125 messaje-reply">
                            <p class="slogan">{{ doctor.reply.reply}}</p>
                        </li>
                    </ul> 
                    </div>
                    <!-- LIKE -->
                        <div id="like" class="rating heart-rating">

                            <div>
                                <button v-on:click="SendReplyInquiry()" class="button-prime-border-green ">Enviar valoración</button>
                            </div>
                            <!-- CINCO -->
                            <input type="radio" id="heart_5" name="like" v-model="star"  value="5" />
                            <label for="heart_5" title="Cinco" >&#10084;</label>
                            <!-- CUATRO -->
                            <input type="radio" id="heart_4" name="like"  v-model="star"   value="4" />
                            <label for="heart_4" title="Cuatro">&#10084;</label>
                            <!-- TRES -->
                            <input type="radio" id="heart_3" name="like"  v-model="star"   value="3" />
                            <label for="heart_3" title="Tres">&#10084;</label>
                            <!-- DOS -->
                            <input type="radio" id="heart_2" name="like"  v-model="star"   value="2" />
                            <label for="heart_2" title="Dos">&#10084;</label>
                            <!-- UNO -->
                            <input type="radio" id="heart_1" name="like"  v-model="star"   value="1" />
                            <label for="heart_1" title="Uno">&#10084;</label>
                            
                        
                        </div>



                </div>
        </div>
    </section>
  </div>
</template>

<script>
import moment from 'moment'

export default {
    name:'inboxpatientid',
    // inicio props
    props:{
        // recibimos lista doctores y especialidad
        doctores: Array,

    },
   //FIN props
   // inicio DATA
    data(){
        return{
            // pasar datos a la vista para modificar
            star: '',

        }

    },
    // FIN data
    // inicio methods
    methods:{
        // modificar fecha con moment
        getHumanDate : function (date) {
                return moment(date, 'YYYY-MM-DD').format('DD/MM/YYYY');
            },
        // responder consulta
        SendReplyInquiry() {
            this.$emit('sendStarEmit', this.star);
            },
    }
    // FIN METHODS
    
}
</script>







<style scoped>

.sect-header {
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: left; 
  text-align: left; 
  padding: 0 5rem;
}

/* datos recepcion mensaje */

.container-data-reception {
    display: flex;
}
.container-data-reception > div {
    padding-right: 1rem;
    padding-top: 1rem;
}


.colorbackground-reply {
        display: flex;
        flex-direction: column;
        position:absolute;
        width: 100%;
        left: 0;
    	background: whitesmoke;
}
.colorbackground-reply > div:first-child {
        padding: 5rem;
        /* border-left: 3px solid var( --color-general-green); */
        /* margin-left: 2.5rem; */
}
.colorbackground-reply > div {
        /* position:absolute;  */
        left: 0;
    	background: var( --color-general-whitesmoke);
        /* padding: 5rem; */
        /* border-left: 3px solid var( --color-general-green); */
        /* margin-left: 2.5rem; */
}

.colorbackground-reply > .heart-rating {
        position:relative; 
        /* left: 5rem; */
        width: 350px;
        display: flex;
        flex-direction: row-reverse;
        padding: 1rem;
        background-color: var(--color-general-green);

    	/* background: var( --color-general-whitesmoke); */
        /* padding: 5rem; */
        /* border-left: 3px solid var( --color-general-green); */
        /* margin-left: 2.5rem; */
}

.messaje-reply {

        border-left: 3px solid var( --color-general-green);
        padding-left: 1rem;
        margin-top: 1rem;

}






/* rating */


/* - - - - - RATINGS */
.rating {
    /* position: absolute; */
    /* display: flex; */
    /* padding-left: 5rem; */
    /* margin-bottom: 3rem; */

}

.rating:not(:checked) > input {
     display: none;
}

/* - - - - - LIKE */

#like:not(:checked) > label {
  cursor:pointer;
  float: right;
  width: 30px;
  display: flex;
  font-size: 1.25rem;
  
  color: var(--color-general-white);
  text-align: center;
}
#like:not(:checked) > label:hover,
#like:not(:checked) > label:hover ~ label {
  color: rgba(0, 0, 0, .5);
}
#like > input:checked + label:hover,
#like > input:checked + label:hover ~ label,
#like > input:checked ~ label:hover,
#like > input:checked ~ label:hover ~ label,
#like > label:hover ~ input:checked ~ label {
  color: var(--color-general-salmon);
}
#like > input:checked ~ label {
  color: orangered;
}


</style>